Package ghidra.program.database.oldfunction

# Class OldFunctionManager

java.lang.Object
ghidra.program.database.oldfunction.OldFunctionManager

All Implemented Interfaces:
  `ErrorHandler`

public class OldFunctionManager extends Object implements ErrorHandler
This class only exists to support upgrading Ghidra Version 2.1 and earlier.
NOTE: Programmers should not use this class!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OldFunctionManager(DBHandle dbHandle, ErrorHandler errHandler, AddressMap addrMap)`
  Constructs a new OldFunctionManager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dbError(IOException e)`
  Notification that an IO exception occurred.
  `void`
  `dispose()`
  Permanently discards all data resources associated with the old function manager.
  `void`
  `upgrade(ProgramDB upgradeProgram, TaskMonitor monitor)`
  Actually does the work of upgrading the old program function manager.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OldFunctionManager

    public OldFunctionManager(DBHandle dbHandle, ErrorHandler errHandler, AddressMap addrMap) throws VersionException
    Constructs a new OldFunctionManager.
    Parameters:
      `dbHandle` - data base handle
      `errHandler` - the error handler
      `addrMap` - the address map
    Throws:
      `VersionException` - if function manager's version does not match its expected version

- ## Method Details

  - ### upgrade

    public void upgrade(ProgramDB upgradeProgram, TaskMonitor monitor) throws CancelledException, IOException
    Actually does the work of upgrading the old program function manager.
    Parameters:
      `upgradeProgram` - the program to upgrade
      `monitor` - the task monitor to allow the user to cancel the upgrade
    Throws:
      `CancelledException` - if the user cancels the upgrade
      `IOException` - if an i/o error occurs

  - ### dbError

    public void dbError(IOException e)
    Description copied from interface: `ErrorHandler`
    Notification that an IO exception occurred.
    Specified by:
      `dbError` in interface `ErrorHandler`
    Parameters:
      `e` - `IOException` which was cause of error
    See Also:
      - `ErrorHandler.dbError(java.io.IOException)`

  - ### dispose

    public void dispose() throws IOException
    Permanently discards all data resources associated with the old function manager. This should be invoked when an upgrade of all function data has been completed.
    Throws:
      `IOException`